#ifdef GL_ES
    precision mediump float;
#endif
    varying vec2 v_texCoord;
    varying vec4 v_fragmentColor;
    uniform vec3 u_outlineColor;
    uniform float u_threshold;
    uniform float u_radius;

    void main()
    {
        float radius = 0.01;
        vec4 accum = vec4(0.0);
        vec4 normal = vec4(0.0);
        normal = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
//获取上下左右四个像素的纹理
        accum += texture2D(CC_Texture0, vec2(v_texCoord.x - radius, v_texCoord.y - radius));
        accum += texture2D(CC_Texture0, vec2(v_texCoord.x + radius, v_texCoord.y - radius));
        accum += texture2D(CC_Texture0, vec2(v_texCoord.x + radius, v_texCoord.y + radius));
        accum += texture2D(CC_Texture0, vec2(v_texCoord.x - radius, v_texCoord.y + radius));

        accum *= 1.75;
        //accum.rgb =  u_outlineColor * accum.a;
        accum.r = 1 * accum.a;
        accum.g = 0.8 * accum.a;
        accum.b = 0 * accum.a;
        accum.a = 0.0;

        normal = ( accum * (1.0 - normal.a)) + (normal * normal.a);

        gl_FragColor = v_fragmentColor * normal;
    }